read_scf(3)

NAME

read_scf, fread_scf, read_scf_header - Read SCF files

SYNOPSIS

#include <scf.h>

Scf *read_scf(
	char *fn);

Scf *fread_scf(
	FILE *fp);

int read_scf_header(
	FILE *fp,
	Header *h);

DESCRIPTION

These functions read SCF format trace files. All the functions accepting a FILE * as an argument assume that the file pointer is at the correct offset within the file.

read_scf() reads an entire SCF file into the Scf structure (see the scf(4) manual page for the details of this structure). The data is read from the specified file name.

fread_scf() reads an entire SCF file into the Scf structure (see the scf(4) manual page for the details of this structure). The data is read from the specified file pointer, which is neither closed or rewound after the operation.

read_scf_header() reads the Header structure from the specified file pointer.

RETURN VALUES

On successful completion, the read_scf() and fread_scf() functions return a pointer to a Scf structure. Otherwise these functions return a null pointer.

On successful completion, the read_scf_header() function returns 0. Otherwise the function returns -1.

SEE ALSO

scf(4), write_scf(3)